小红书解析

GET
http://api.xuewutheme.com/api/video/xhs

小红书视频图文聚合解析

接口概述

请求示例: http://api.xuewutheme.com/api/video/xhs?url=http://xhslink.com/a/Hbb4EgXJaOggb

小红书视频图文聚合解析

请求参数

参数名 类型 必填 描述
apikey string 整数 string

用户开通的apikey

url string 整数 string

小红书链接

响应参数

成功响应

状态码: 200 OK
格式: json
参数名 类型 描述
code integer integer

返回的状态码

data object object

返回的数据/数据对象

msg string string

返回的消息

time string string

请求时间

data.type string string

类型

data.author string string

作者

data.author_id string string

作者ID

data.title string string

作品标题

data.desc string string

作品介绍

data.avatar string string

作者头像

data.cover string string

缩略图

data.url string string

无水印链接

响应示例

JSON
{
    "code": 200,
    "msg": "解析成功",
    "time": "2025-07-04 15:52:29",
    "data": {
        "type": "video",
        "author": "装修设计-小爽",
        "author_id": "5c3c5412000000000702d69d",
        "title": "颜色搭配",
        "desc": "#装修[话题]# #室内设计[话题]#",
        "avatar": "https://sns-avatar-qc.xhscdn.com/avatar/5c3c5ea4f84d7d00014855c2.jpg",
        "cover": "https://sns-webpic-qc.xhscdn.com/110/0/01e43906106b716200100001877ec0082f_0.webp",
        "url": "http://sns-video-qc.xhscdn.com/stream/110/258/01e43906106b716201037003877ec02300_258.mp4?sign=944cd6734943cf4cc2e1e1952ceef157&t=686c257c"
    }
}

请求示例

cURL

Bash
curl -X GET \
  "https://api.example.com/v1/users/12345" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
  -H "Content-Type: application/json"

Python

Python
import requests

url = "https://api.example.com/v1/users/12345"
headers = {
    "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())

JavaScript

JavaScript
const response = await fetch(
  'https://api.example.com/v1/users/12345',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
      'Content-Type': 'application/json'
    }
  }
);

const data = await response.json();
console.log(data);

PHP

PHP
$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://api.example.com/v1/users/12345");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");

$headers = array();
$headers[] = "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...";
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

curl_close($ch);

错误码

状态码 描述
100 您的apikey值为空!
101 您的apikey值不存在!
103 当前接口为实名认证后可用,请您先进行实名!
104 请求频率超限!
105 接口不存在或已下线!
106 您的余额不足,请及时充值!
107 您当前的接口免费使用次数已用完,请明日再来!
109 您的账号已被封禁,不可使用任何接口!
110 接口维护中,请稍后再试!
111 请求参数不完整,请检查后再次访问!

错误响应示例

JSON
{
  "code": 1001,
  "message": "用户不存在",
  "data": null
}